%global srcname itsdangerous

Name:           python-%{srcname}
Version:        0.24
Release:        %mkrel 2
Summary:        Various helpers to pass trusted data to untrusted environments and back

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/itsdangerous
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Various helpers to pass trusted data to untrusted environments and back

%package -n python3-%{srcname}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python

%description -n python3-%{srcname}
Itsdangerous is a Python 3 library for passing data through untrusted 
environments (for example, HTTP cookies) while ensuring the data is not 
tampered with.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} tests.py
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests.py

%files
%{python2_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.24-2.mga6
+ Revision: 970622
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 0.24-1.mga6
+ Revision: 887375
- upgrade to 0.24 and python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.23-7.mga5
+ Revision: 744356
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.23-6.mga5
+ Revision: 728806
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.23-5.mga5
+ Revision: 688093
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.23-4.mga5
+ Revision: 628719
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.23-3.mga4
+ Revision: 543580
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.23-2.mga4
+ Revision: 498763
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.23-1.mga4
+ Revision: 497593
- Update to 0.23
- add Python 3

* Tue Jul 30 2013 neoclust <neoclust> 0.22-1.mga4
+ Revision: 460862
- imported package python-itsdangerous

